netsnmp_table_request_info_s(3)

NAME
netsnmp_table_request_info_s -

The table request info structure.

SYNOPSIS

#include <table.h>

  Data Fields
unsigned int colnum
0 if OID not long enough
unsigned int number_indexes
0 if failure to parse any
netsnmp_variable_list * indexes
contents freed by helper upon exit
oid index_oid [MAX_OID_LEN]
size_t index_oid_len
netsnmp_table_registration_info * reg_info

Detailed Description

The table request info structure.

Definition at line 108 of file table.h.

Field Documentation

  unsigned int netsnmp_table_request_info_s::colnum

0 if OID not long enough

Definition at line 110 of file table.h.

  netsnmp_variable_list* netsnmp_table_request_info_s::indexes

contents freed by helper upon exit

Definition at line 114 of file table.h.

  unsigned int netsnmp_table_request_info_s::number_indexes

0 if failure to parse any

Definition at line 112 of file table.h.

Author

Generated automatically by Doxygen for net-snmp from the source code.